Skip to main content
POST
/
api
/
v1
/
skills
Ingest Skill
curl --request POST \
  --url https://api.cognee.ai/api/v1/skills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "skills_text": "<string>"
}
'
import requests

url = "https://api.cognee.ai/api/v1/skills"

payload = { "skills_text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

JSON body for ingesting a single skill from inline SKILL.md markdown.

skills_text
string
required

Inline SKILL.md markdown to ingest as a Skill node.

skill_name
string | null

Name/slug for the skill (defaults to 'skill').

dataset_name
string | null

Target dataset name (created if needed). Required unless dataset_id is given.

dataset_id
string<uuid> | null

Target dataset UUID (alternative to dataset_name).

Response

Successful Response

The response is of type Response Ingest Skill Api V1 Skills Post · object.